Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPushPipeline Class Reference

`#include <vtkPushPipeline.h>`

Inheritance diagram for vtkPushPipeline:

[legend]
Collaboration diagram for vtkPushPipeline:

[legend]
List of all members.

## Detailed Description

run a pipeline from a data push perspective

Date:
  2003/01/08 13:29:09

Revision:
  1.5

vtkPushPipeline is a class designed to execute a VTK visualization pipeline not from a demand driven approach, but from a data push approach.

See also:
  vtkPushImageReader

Events:
  vtkCommand::NextDataEvent vtkCommand::PushDataStartEvent

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (82%)
  - King, Brad (15%)

CVS logs (CVSweb):
  - .`cxx` (`/Hybrid/vtkPushPipeline.cxx)`
  - .`h` (`/Hybrid/vtkPushPipeline.h)`

Tests:
  vtkPushPipeline (Tests)

Definition at line 65 of file vtkPushPipeline.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | AddPusher (vtkProcessObject *pusher)
void | Push (vtkSource *pusher)
void | Run (vtkSource *pusher)
void | AddWindow (vtkRenderWindow *win)
void | SetInputToExecutionRatio (vtkProcessObject *po, int inNum, int ratio)
void | SetExecutionToOutputRatio (vtkProcessObject *po, int ratio)
virtual void | SetRunState (int)
virtual int | GetRunState ()
## Static Public Methods
vtkPushPipeline * | New ()
int | IsTypeOf (const char *type)
vtkPushPipeline * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPushPipeline ()
| ~vtkPushPipeline ()
vtkPushPipelineDataInfo * | GetPushDataInfo (vtkDataObject *)
vtkPushPipelineProcessInfo * | GetPushProcessInfo (vtkProcessObject *)
void | AddData (vtkDataObject *)
void | AddProcess (vtkProcessObject *)
void | Trace (vtkDataObject *)
void | Trace (vtkProcessObject *)
void | ClearTraceMarkers ()
int | IsRendererReady (vtkRenderer *)
int | IsRenderWindowReady (vtkRenderWindow *)
void | ConsumeRenderWindowInputs (vtkRenderWindow *)
void | ConsumeRendererInputs (vtkRenderer *)
void | RenderWindows ()
void | SetupWindows ()
void | SetupRenderWindow (vtkRenderWindow *)
void | SetupRenderer (vtkRenderer *)
## Protected Attributes
vtkPushPipelineWindowsType * | Windows
vtkPushPipelineProcessMapType * | ProcessMap
vtkPushPipelineDataMapType * | DataMap
int | RunState
## Friends
class | vtkPushPipelineProcessInfo
class | vtkPushPipelineDataInfo
class | vtkPushPipelineConsumeCommand

## Member Typedef Documentation

typedef vtkObject vtkPushPipeline::Superclass

| Reimplemented from vtkObject. Definition at line 69 of file vtkPushPipeline.h.

## Constructor & Destructor Documentation

vtkPushPipeline::vtkPushPipeline | ( |  | ) | `[protected]`

vtkPushPipeline::~vtkPushPipeline | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPushPipeline* vtkPushPipeline::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPushPipeline::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkPushPipeline::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkPushPipeline::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkPushPipeline* vtkPushPipeline::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkPushPipeline::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

void vtkPushPipeline::AddPusher | ( | vtkProcessObject * | pusher | ) |

| Add a Pusher object to the pipeline

void vtkPushPipeline::SetInputToExecutionRatio | ( | vtkProcessObject * | po,
|  | int | inNum,
|  | int | ratio
| ) |

| Sets the input ratios for a pipeline member

void vtkPushPipeline::SetExecutionToOutputRatio | ( | vtkProcessObject * | po,
|  | int | ratio
| ) |

| Sets the input ratios for a pipeline member

void vtkPushPipeline::Push | ( | vtkSource * | pusher | ) |

| Push data froma pusher

void vtkPushPipeline::Run | ( | vtkSource * | pusher | ) |

| Run a pipeline until pusher indicates it is out of data

virtual void vtkPushPipeline::SetRunState | ( | int |  | ) | `[virtual]`

| What is the run state, a pusher should set this to 2 when it is out of data

virtual int vtkPushPipeline::GetRunState | ( |  | ) | `[virtual]`

| What is the run state, a pusher should set this to 2 when it is out of data

void vtkPushPipeline::AddWindow | ( | vtkRenderWindow * | win | ) |

| Add a window to the pipeline. Normally you do not need to call this routine. The windows connected to the pipeline can be found automatically.

vtkPushPipelineDataInfo* vtkPushPipeline::GetPushDataInfo | ( | vtkDataObject * |  | ) | `[protected]`

vtkPushPipelineProcessInfo* vtkPushPipeline::GetPushProcessInfo | ( | vtkProcessObject * |  | ) | `[protected]`

void vtkPushPipeline::AddData | ( | vtkDataObject * |  | ) | `[protected]`

void vtkPushPipeline::AddProcess | ( | vtkProcessObject * |  | ) | `[protected]`

void vtkPushPipeline::Trace | ( | vtkDataObject * |  | ) | `[protected]`

void vtkPushPipeline::Trace | ( | vtkProcessObject * |  | ) | `[protected]`

void vtkPushPipeline::ClearTraceMarkers | ( |  | ) | `[protected]`

int vtkPushPipeline::IsRendererReady | ( | vtkRenderer * |  | ) | `[protected]`

int vtkPushPipeline::IsRenderWindowReady | ( | vtkRenderWindow * |  | ) | `[protected]`

void vtkPushPipeline::ConsumeRenderWindowInputs | ( | vtkRenderWindow * |  | ) | `[protected]`

void vtkPushPipeline::ConsumeRendererInputs | ( | vtkRenderer * |  | ) | `[protected]`

void vtkPushPipeline::RenderWindows | ( |  | ) | `[protected]`

void vtkPushPipeline::SetupWindows | ( |  | ) | `[protected]`

void vtkPushPipeline::SetupRenderWindow | ( | vtkRenderWindow * |  | ) | `[protected]`

void vtkPushPipeline::SetupRenderer | ( | vtkRenderer * |  | ) | `[protected]`

## Friends And Related Function Documentation

friend class vtkPushPipelineProcessInfo`[friend]`

| Definition at line 104 of file vtkPushPipeline.h.

friend class vtkPushPipelineDataInfo`[friend]`

| Definition at line 105 of file vtkPushPipeline.h.

friend class vtkPushPipelineConsumeCommand`[friend]`

| Definition at line 106 of file vtkPushPipeline.h.

## Member Data Documentation

vtkPushPipelineWindowsType* vtkPushPipeline::Windows`[protected]`

| Definition at line 109 of file vtkPushPipeline.h.

vtkPushPipelineProcessMapType* vtkPushPipeline::ProcessMap`[protected]`

| Definition at line 110 of file vtkPushPipeline.h.

vtkPushPipelineDataMapType* vtkPushPipeline::DataMap`[protected]`

| Definition at line 111 of file vtkPushPipeline.h.

int vtkPushPipeline::RunState`[protected]`

| Definition at line 115 of file vtkPushPipeline.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkPushPipeline.h